[ARVADOS] updated: 2.1.0-1777-g98d63ca62

Git user git at public.arvados.org
Wed Jan 5 18:06:22 UTC 2022


Summary of changes:
 build/run-tests.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

       via  98d63ca62daada9803edfdd5ad72304cae19b92c (commit)
      from  00f1f05789316936db75b4723b1c3d99196c252a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 98d63ca62daada9803edfdd5ad72304cae19b92c
Author: Ward Vandewege <ward at curii.com>
Date:   Wed Jan 5 11:56:03 2022 -0500

    Remove deprecated use of `go get` from run-tests.sh. This should solve
    the occasional surprise modifications of go.mod/go.sum.
    
    No issue #
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>

diff --git a/build/run-tests.sh b/build/run-tests.sh
index d318bc60d..5dba59b75 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -644,7 +644,7 @@ initialize() {
 
 install_env() {
     go mod download || fatal "Go deps failed"
-    which goimports >/dev/null || go get golang.org/x/tools/cmd/goimports || fatal "Go setup failed"
+    which goimports >/dev/null || go install golang.org/x/tools/cmd/goimports at latest || fatal "Go setup failed"
 
     setup_virtualenv "$VENV3DIR"
     . "$VENV3DIR/bin/activate"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list